1. Orders
Treek-Public
  • Authentication
    • User login with email and password
      POST
  • Orders
    • Create Order
      POST
    • List Orders
      GET
    • Order Details
      GET
    • Update Order
      PUT
    • Cancel Order
      POST
    • Reset Order
      POST
    • Get Statuses
      GET
    • Verify Item
      POST
    • Verify Order
      POST
    • Order Price
      GET
  • Shipments
    • Create Shipment
      POST
    • Return Shipment
      POST
    • Print Invoice
      GET
  • Boxes
    • Create Box
      POST
    • Get Boxes
      GET
    • Box Details
      GET
    • Update Box
      PUT
  • Merchants
    • Merchants Details
      GET
  • Profile
    • User Details
      GET
    • Update User
      PUT
    • Change Password
      PUT
  • Utilities
    • Countries List
      GET
    • Cities List
      GET
    • Couriers List
      GET
  • Warehouses
    • Warehouses List
    • Create warehouse
    • warehouse Details
  • Price Calculator
    • Price Calculator
  • Packaging Type
    • Packaging Types List
    • Packaging Type Details
  • statistics
    • Statistics
  • Schemas
    • LoginRequest
    • CreateOrderRequest
    • UpdateOrderRequest
    • Price Calculator
    • VerifyItem
    • CreateWarehouseRequest
    • Shipment Package
    • Create Reverse Shipment
    • OrderPackages
    • OrderItem
    • Order
    • City
    • Country
    • User
    • OrderItem
    • CreateOrderItemRequest
    • CalculateRatesRequest
    • BoxDimensions
    • OrderShippingRate
    • RateCalculationParams
    • Warehouse
    • Box
    • CreateBoxRequest
    • UpdateBoxRequest
    • ValidationError
    • NotFoundError
    • UnauthorizedError
    • ForbiddenError
    • PaginationMeta
    • PaginationLinks
  1. Orders

Verify Order

Developing
POST
https://app.gotreek.com/api/orders/{order}/verify
Last modified:2026-01-04 14:09:55
Confirm an order after all its items have been successfully verified. This endpoint transitions the order from pending to awaiting_pickup and returns the updated order with its items.
💡
Authentication
Bearer token authentication is required.
💡
Behavior
Checks that all order items have verification_status = verified.
If any item is still pending or mismatch, returns a 422 response with a verification summary.
If all items are verified but the order status is not pending, returns a 409 conflict.
When all conditions are met, updates the order status to awaiting_pickup and returns the order with its items.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://app.gotreek.com/api/auth/login
or
Path Params

Responses

🟢200
application/json
Body

🟠422
🟠409
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://app.gotreek.com/api/orders//verify' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "data": {
        "id": 43956,
        "order_number": "17664823862598",
        "status": "awaiting_pickup",
        "date": "2025-12-23 09:33:06",
        "order_grand_total": 0,
        "currency": "SAR",
        "description": null,
        "payment_method": "cod",
        "receiver_first_name": "ApiDog",
        "receiver_last_name": "ApiDOg",
        "receiver_phone": "+966058473721",
        "receiver_email": null,
        "receiver_country_id": 1,
        "receiver_country": null,
        "receiver_country_code": null,
        "receiver_city": null,
        "receiver_address_line": "طريق الملك عبدالعزيز، حي الشفا",
        "receiver_street_name": null,
        "receiver_block": null,
        "receiver_postal_code": null,
        "receiver_latitude": null,
        "receiver_longitude": null,
        "shipper_name": "تجربة بداية ",
        "shipper_email": null,
        "shipper_phone": "+966533112592",
        "shipper_country_id": 1,
        "shipper_city": "Jeddah",
        "shipper_address_line": "الهنداوية شارع زهرة اللوتس مقابل تموينات التوفير ",
        "shipper_street_name": null,
        "shipper_block": null,
        "shipper_postal_code": null,
        "shipper_latitude": "21.48776545",
        "shipper_longitude": "39.22771540",
        "total_weight": 0,
        "merchant_id": null,
        "delivered_at": null,
        "tax": 0,
        "external_id": null,
        "webhook_id": null,
        "created_at": "2025-12-23T09:33:06.000000Z",
        "updated_at": "2025-12-23T09:56:06.000000Z",
        "warehouse_id": 207,
        "receiver_city_id": 321,
        "cod_wallet_id": null,
        "shipment_external_id": null,
        "selected_shipment_company": null,
        "source": "manual",
        "return_type": null,
        "volumetric_divisor": null,
        "merchant_shipment_id": null,
        "return_ordered_at": null,
        "items": [
            {
                "id": 62466,
                "order_id": 43956,
                "name": "ItemTest",
                "sku": "123",
                "quantity": 1,
                "weight": 23,
                "weight_unit": null,
                "price": 123,
                "total_price": 0,
                "tax": null,
                "currency": "SAR",
                "created_at": "2025-12-23T09:33:06.000000Z",
                "updated_at": "2025-12-23T09:55:59.000000Z",
                "verification_status": "verified",
                "verified_at": "2025-12-23 09:55:59",
                "verified_by": 33,
                "wrong_attempts": 3,
                "verification_note": null
            }
        ]
    },
    "message": "Order confirmed."
}
Modified at 2026-01-04 14:09:55
Previous
Verify Item
Next
Order Price
Built with